using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioReativo
    {
        public IList<entidadeReativo> Select(entidadeReativo objReativo)
        {
            dalReativo dalReativo = null;

            var lstReat = new List<entidadeReativo>();
            DataTable dt = null;

            try
            {
                dalReativo = new dalReativo();
                dt = dalReativo.Select(objReativo);

                foreach (DataRow dr in dt.Rows)
                {
                    objReativo = new entidadeReativo();

                    if (!Convert.IsDBNull(dr["NOMEMAQUINA"]))
                        objReativo.NOMEMAQUINA = dr["NOMEMAQUINA"].ToString();

                    if (!Convert.IsDBNull(dr["CDCLAS"]))
                        objReativo.CDCLAS = dr["CDCLAS"].ToString();

                    if (!Convert.IsDBNull(dr["DSCLAS"]))
                        objReativo.DSCLAS = dr["DSCLAS"].ToString();

                    if (!Convert.IsDBNull(dr["VLR_CONSUMO_REATIVO_PONTA"]))
                        objReativo.VLR_CONSUMO_REATIVO_PONTA = Convert.ToDouble(dr["VLR_CONSUMO_REATIVO_PONTA"]);

                    if (!Convert.IsDBNull(dr["VLR_CONSUMO_REATIVO_FPONTA"]))
                        objReativo.VLR_CONSUMO_REATIVO_FPONTA = Convert.ToDouble(dr["VLR_CONSUMO_REATIVO_FPONTA"]);

                    if (!Convert.IsDBNull(dr["VLR_DEMANDA_REATIVO_PONTA"]))
                        objReativo.VLR_DEMANDA_REATIVO_PONTA = Convert.ToDouble(dr["VLR_DEMANDA_REATIVO_PONTA"]);

                    if (!Convert.IsDBNull(dr["VLR_DEMANDA_REATIVO_FPONTA"]))
                        objReativo.VLR_DEMANDA_REATIVO_FPONTA = Convert.ToDouble(dr["VLR_DEMANDA_REATIVO_FPONTA"]);

                    if (!Convert.IsDBNull(dr["QTD_DEMANDA_ULTRAP_PONTA"]))
                        objReativo.QTD_DEMANDA_ULTRAP_PONTA = Convert.ToDouble(dr["QTD_DEMANDA_ULTRAP_PONTA"]);

                    if (!Convert.IsDBNull(dr["QTD_DEMANDA_ULTRAP_FPONTA"]))
                        objReativo.QTD_DEMANDA_ULTRAP_FPONTA = Convert.ToDouble(dr["QTD_DEMANDA_ULTRAP_FPONTA"]);

                    if (!Convert.IsDBNull(dr["VLR_DEMANDA_ULTRAP_PONTA"]))
                        objReativo.VLR_DEMANDA_ULTRAP_PONTA = Convert.ToDouble(dr["VLR_DEMANDA_ULTRAP_PONTA"]);

                    if (!Convert.IsDBNull(dr["VLR_DEMANDA_ULTRAP_FPONTA"]))
                        objReativo.VLR_DEMANDA_ULTRAP_FPONTA = Convert.ToDouble(dr["VLR_DEMANDA_ULTRAP_FPONTA"]);

                    if (!Convert.IsDBNull(dr["IDUSUARIO"]))
                        objReativo.IDUSUARIO = Convert.ToInt32(dr["IDUSUARIO"]);

                    lstReat.Add(objReativo);
                }
                return lstReat;
            }
            catch (Exception)
            {
                throw;
            }
        }


        public void Insert(entidadeReativo objReativo)
        {
            dalReativo dalReativo = null;

            try
            {
                dalReativo = new dalReativo();

                dalReativo.Insert(objReativo);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
